RDCode: RDKit::MolAlign Namespace Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

# RDKit::MolAlign Namespace Reference

## Classes
class | MolAlignException
## Functions
double | getAlignmentTransform (const ROMol &prbMol, const ROMol &refMol, RDGeom::Transform3D &trans, int prbCid=-1, int refCid=-1, const MatchVectType *atomMap=0, const RDNumeric::DoubleVector *weights=0, bool reflect=false, unsigned int maxIters=50)
| Alignment functions.
double | alignMol (ROMol &prbMol, const ROMol &refMol, int prbCid=-1, int refCid=-1, const MatchVectType *atomMap=0, const RDNumeric::DoubleVector *weights=0, bool reflect=false, unsigned int maxIters=50)
| Optimally (minimum RMSD) align a molecule to another molecule.
void | alignMolConformers (ROMol &mol, const std::vector< unsigned int > *atomIds=0, const std::vector< unsigned int > *confIds=0, const RDNumeric::DoubleVector *weights=0, bool reflect=false, unsigned int maxIters=50)
| Align the conformations of a molecule using a common set of atoms.

## Function Documentation

double RDKit::MolAlign::alignMol | ( | ROMol & | prbMol,
|  | const ROMol & | refMol,
|  | int | prbCid = `-1`,
|  | int | refCid = `-1`,
|  | const MatchVectType * | atomMap = `0`,
|  | const RDNumeric::DoubleVector * | weights = `0`,
|  | bool | reflect = `false`,
|  | unsigned int | maxIters = `50` |
| ) |  |  |

Optimally (minimum RMSD) align a molecule to another molecule.

The 3D transformation required to align the specied conformation in the probe molecule to a specified conformation in the reference molecule is computed so that the root mean squared distance between a specified set of atoms is minimized. This transforms is them applied to the specified conformation in the probe molecule

Parameters:

  | prbMol | molecule that is to be aligned
  | refMol | molecule used as the reference for the alignment
  | prbCid | ID of the conformation in the probe to be used for the alignment (defaults to first conformation)
  | refCid | ID of the conformation in the ref molecule to which the alignment is computed (defaults to first conformation)
  | atomMap | a vector of pairs of atom IDs (probe AtomId, ref AtomId) used to compute the alignments. If this mapping is not specified an attempt is made to generate on by substructure matching
  | weights | Optionally specify weights for each of the atom pairs
  | reflect | if true reflect the conformation of the probe molecule
  | maxIters | maximum number of iteration used in mimizing the RMSD

Returns RMSD value

void RDKit::MolAlign::alignMolConformers | ( | ROMol & | mol,
|  | const std::vector< unsigned int > * | atomIds = `0`,
|  | const std::vector< unsigned int > * | confIds = `0`,
|  | const RDNumeric::DoubleVector * | weights = `0`,
|  | bool | reflect = `false`,
|  | unsigned int | maxIters = `50` |
| ) |  |  |

Align the conformations of a molecule using a common set of atoms.

Parameters:

  | mol | The molecule of interest
  | atomIds | vector of atoms to be used to generate the alignment. All atoms will be used is not specified
  | confIds | vector of conformations to align - defaults to all
  | weights | vector of weights to applied to particular atom pairs defaults to all weights = 1
  | reflect | toggles reflecting (about the origin) the alignment
  | maxIters | the maximum number of iterations to attempt

double RDKit::MolAlign::getAlignmentTransform | ( | const ROMol & | prbMol,
|  | const ROMol & | refMol,
|  | RDGeom::Transform3D & | trans,
|  | int | prbCid = `-1`,
|  | int | refCid = `-1`,
|  | const MatchVectType * | atomMap = `0`,
|  | const RDNumeric::DoubleVector * | weights = `0`,
|  | bool | reflect = `false`,
|  | unsigned int | maxIters = `50` |
| ) |  |  |

Alignment functions.

Compute the transformation required to align a molecule

The 3D transformation required to align the specied conformation in the probe molecule to a specified conformation in the reference molecule is computed so that the root mean squared distance between a specified set of atoms is minimized

Parameters:

  | prbMol | molecule that is to be aligned
  | refMol | molecule used as the reference for the alignment
  | trans | storage for the computed transform
  | prbCid | ID of the conformation in the probe to be used for the alignment (defaults to first conformation)
  | refCid | ID of the conformation in the ref molecule to which the alignment is computed (defaults to first conformation)
  | atomMap | a vector of pairs of atom IDs (probe AtomId, ref AtomId) used to compute the alignments. If this mapping is not specified an attempt is made to generate on by substructure matching
  | weights | Optionally specify weights for each of the atom pairs
  | reflect | if true reflect the conformation of the probe molecule
  | maxIters | maximum number of iteration used in mimizing the RMSD

Returns RMSD value